Package org.apache.sysds.hops.codegen.template

# Class CPlanCSERewriter

java.lang.Object
org.apache.sysds.hops.codegen.template.CPlanCSERewriter

public class CPlanCSERewriter extends Object

## Constructor Summary

Constructors
Constructor
Description
`CPlanCSERewriter()`

## Method Summary

Modifier and Type
Method
Description
`CNodeTpl`
`eliminateCommonSubexpressions(CNodeTpl tpl)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CPlanCSERewriter

public CPlanCSERewriter()

## Method Details

### eliminateCommonSubexpressions

public CNodeTpl eliminateCommonSubexpressions(CNodeTpl tpl)